Package org.apache.storm.generated

# Class WorkerSummary

java.lang.Object
org.apache.storm.generated.WorkerSummary

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<WorkerSummary>`, `org.apache.storm.thrift.TBase<WorkerSummary,WorkerSummary._Fields>`, `org.apache.storm.thrift.TSerializable`

@Generated("Autogenerated by Thrift Compiler (0.19.0)") public class WorkerSummary extends Object implements org.apache.storm.thrift.TBase<WorkerSummary,WorkerSummary._Fields>, Serializable, Cloneable, Comparable<WorkerSummary>

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `WorkerSummary._Fields`
  The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Map<WorkerSummary._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>`
  `metaDataMap`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WorkerSummary()`
  `WorkerSummary(WorkerSummary other)`
  Performs a deep copy on other.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  `int`
  `compareTo(WorkerSummary other)`
  `WorkerSummary`
  `deepCopy()`
  `boolean`
  `equals(Object that)`
  `boolean`
  `equals(WorkerSummary that)`
  `WorkerSummary._Fields`
  `fieldForId(int fieldId)`
  `double`
  `get_assigned_cpu()`
  `double`
  `get_assigned_memoffheap()`
  `double`
  `get_assigned_memonheap()`
  `Map<String,Long>`
  `get_component_to_num_tasks()`
  `int`
  `get_component_to_num_tasks_size()`
  `String`
  `get_host()`
  `int`
  `get_num_executors()`
  `String`
  `get_owner()`
  `int`
  `get_port()`
  `double`
  `get_requested_cpu()`
  `double`
  `get_requested_memoffheap()`
  `double`
  `get_requested_memonheap()`
  `String`
  `get_supervisor_id()`
  `int`
  `get_time_secs()`
  `String`
  `get_topology_id()`
  `String`
  `get_topology_name()`
  `int`
  `get_uptime_secs()`
  `Object`
  `getFieldValue(WorkerSummary._Fields field)`
  `int`
  `hashCode()`
  `boolean`
  `is_set_assigned_cpu()`
  Returns true if field assigned_cpu is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_assigned_memoffheap()`
  Returns true if field assigned_memoffheap is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_assigned_memonheap()`
  Returns true if field assigned_memonheap is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_component_to_num_tasks()`
  Returns true if field component_to_num_tasks is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_host()`
  Returns true if field host is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_num_executors()`
  Returns true if field num_executors is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_owner()`
  Returns true if field owner is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_port()`
  Returns true if field port is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_requested_cpu()`
  Returns true if field requested_cpu is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_requested_memoffheap()`
  Returns true if field requested_memoffheap is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_requested_memonheap()`
  Returns true if field requested_memonheap is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_supervisor_id()`
  Returns true if field supervisor_id is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_time_secs()`
  Returns true if field time_secs is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_topology_id()`
  Returns true if field topology_id is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_topology_name()`
  Returns true if field topology_name is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_uptime_secs()`
  Returns true if field uptime_secs is set (has been assigned a value) and false otherwise
  `boolean`
  `isSet(WorkerSummary._Fields field)`
  Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
  `void`
  `put_to_component_to_num_tasks(String key, long val)`
  `void`
  `read(org.apache.storm.thrift.protocol.TProtocol iprot)`
  `void`
  `set_assigned_cpu(double assigned_cpu)`
  `void`
  `set_assigned_cpu_isSet(boolean value)`
  `void`
  `set_assigned_memoffheap(double assigned_memoffheap)`
  `void`
  `set_assigned_memoffheap_isSet(boolean value)`
  `void`
  `set_assigned_memonheap(double assigned_memonheap)`
  `void`
  `set_assigned_memonheap_isSet(boolean value)`
  `void`
  `set_component_to_num_tasks(Map<String,Long> component_to_num_tasks)`
  `void`
  `set_component_to_num_tasks_isSet(boolean value)`
  `void`
  `set_host(String host)`
  `void`
  `set_host_isSet(boolean value)`
  `void`
  `set_num_executors(int num_executors)`
  `void`
  `set_num_executors_isSet(boolean value)`
  `void`
  `set_owner(String owner)`
  `void`
  `set_owner_isSet(boolean value)`
  `void`
  `set_port(int port)`
  `void`
  `set_port_isSet(boolean value)`
  `void`
  `set_requested_cpu(double requested_cpu)`
  `void`
  `set_requested_cpu_isSet(boolean value)`
  `void`
  `set_requested_memoffheap(double requested_memoffheap)`
  `void`
  `set_requested_memoffheap_isSet(boolean value)`
  `void`
  `set_requested_memonheap(double requested_memonheap)`
  `void`
  `set_requested_memonheap_isSet(boolean value)`
  `void`
  `set_supervisor_id(String supervisor_id)`
  `void`
  `set_supervisor_id_isSet(boolean value)`
  `void`
  `set_time_secs(int time_secs)`
  `void`
  `set_time_secs_isSet(boolean value)`
  `void`
  `set_topology_id(String topology_id)`
  `void`
  `set_topology_id_isSet(boolean value)`
  `void`
  `set_topology_name(String topology_name)`
  `void`
  `set_topology_name_isSet(boolean value)`
  `void`
  `set_uptime_secs(int uptime_secs)`
  `void`
  `set_uptime_secs_isSet(boolean value)`
  `void`
  `setFieldValue(WorkerSummary._Fields field, Object value)`
  `String`
  `toString()`
  `void`
  `unset_assigned_cpu()`
  `void`
  `unset_assigned_memoffheap()`
  `void`
  `unset_assigned_memonheap()`
  `void`
  `unset_component_to_num_tasks()`
  `void`
  `unset_host()`
  `void`
  `unset_num_executors()`
  `void`
  `unset_owner()`
  `void`
  `unset_port()`
  `void`
  `unset_requested_cpu()`
  `void`
  `unset_requested_memoffheap()`
  `void`
  `unset_requested_memonheap()`
  `void`
  `unset_supervisor_id()`
  `void`
  `unset_time_secs()`
  `void`
  `unset_topology_id()`
  `void`
  `unset_topology_name()`
  `void`
  `unset_uptime_secs()`
  `void`
  `validate()`
  `void`
  `write(org.apache.storm.thrift.protocol.TProtocol oprot)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### metaDataMap

    public static final Map<WorkerSummary._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

- ## Constructor Details

  - ### WorkerSummary

    public WorkerSummary()

  - ### WorkerSummary

    public WorkerSummary(WorkerSummary other)
    Performs a deep copy on other.

- ## Method Details

  - ### deepCopy

    public WorkerSummary deepCopy()
    Specified by:
      `deepCopy` in interface `org.apache.storm.thrift.TBase<WorkerSummary,WorkerSummary._Fields>`

  - ### clear

    public void clear()
    Specified by:
      `clear` in interface `org.apache.storm.thrift.TBase<WorkerSummary,WorkerSummary._Fields>`

  - ### get_supervisor_id

    public String get_supervisor_id()

  - ### set_supervisor_id

    public void set_supervisor_id(String supervisor_id)

  - ### unset_supervisor_id

    public void unset_supervisor_id()

  - ### is_set_supervisor_id

    public boolean is_set_supervisor_id()
    Returns true if field supervisor_id is set (has been assigned a value) and false otherwise

  - ### set_supervisor_id_isSet

    public void set_supervisor_id_isSet(boolean value)

  - ### get_host

    public String get_host()

  - ### set_host

    public void set_host(String host)

  - ### unset_host

    public void unset_host()

  - ### is_set_host

    public boolean is_set_host()
    Returns true if field host is set (has been assigned a value) and false otherwise

  - ### set_host_isSet

    public void set_host_isSet(boolean value)

  - ### get_port

    public int get_port()

  - ### set_port

    public void set_port(int port)

  - ### unset_port

    public void unset_port()

  - ### is_set_port

    public boolean is_set_port()
    Returns true if field port is set (has been assigned a value) and false otherwise

  - ### set_port_isSet

    public void set_port_isSet(boolean value)

  - ### get_topology_id

    public String get_topology_id()

  - ### set_topology_id

    public void set_topology_id(String topology_id)

  - ### unset_topology_id

    public void unset_topology_id()

  - ### is_set_topology_id

    public boolean is_set_topology_id()
    Returns true if field topology_id is set (has been assigned a value) and false otherwise

  - ### set_topology_id_isSet

    public void set_topology_id_isSet(boolean value)

  - ### get_topology_name

    public String get_topology_name()

  - ### set_topology_name

    public void set_topology_name(String topology_name)

  - ### unset_topology_name

    public void unset_topology_name()

  - ### is_set_topology_name

    public boolean is_set_topology_name()
    Returns true if field topology_name is set (has been assigned a value) and false otherwise

  - ### set_topology_name_isSet

    public void set_topology_name_isSet(boolean value)

  - ### get_num_executors

    public int get_num_executors()

  - ### set_num_executors

    public void set_num_executors(int num_executors)

  - ### unset_num_executors

    public void unset_num_executors()

  - ### is_set_num_executors

    public boolean is_set_num_executors()
    Returns true if field num_executors is set (has been assigned a value) and false otherwise

  - ### set_num_executors_isSet

    public void set_num_executors_isSet(boolean value)

  - ### get_component_to_num_tasks_size

    public int get_component_to_num_tasks_size()

  - ### put_to_component_to_num_tasks

    public void put_to_component_to_num_tasks(String key, long val)

  - ### get_component_to_num_tasks

    public Map<String,Long> get_component_to_num_tasks()

  - ### set_component_to_num_tasks

    public void set_component_to_num_tasks(Map<String,Long> component_to_num_tasks)

  - ### unset_component_to_num_tasks

    public void unset_component_to_num_tasks()

  - ### is_set_component_to_num_tasks

    public boolean is_set_component_to_num_tasks()
    Returns true if field component_to_num_tasks is set (has been assigned a value) and false otherwise

  - ### set_component_to_num_tasks_isSet

    public void set_component_to_num_tasks_isSet(boolean value)

  - ### get_time_secs

    public int get_time_secs()

  - ### set_time_secs

    public void set_time_secs(int time_secs)

  - ### unset_time_secs

    public void unset_time_secs()

  - ### is_set_time_secs

    public boolean is_set_time_secs()
    Returns true if field time_secs is set (has been assigned a value) and false otherwise

  - ### set_time_secs_isSet

    public void set_time_secs_isSet(boolean value)

  - ### get_uptime_secs

    public int get_uptime_secs()

  - ### set_uptime_secs

    public void set_uptime_secs(int uptime_secs)

  - ### unset_uptime_secs

    public void unset_uptime_secs()

  - ### is_set_uptime_secs

    public boolean is_set_uptime_secs()
    Returns true if field uptime_secs is set (has been assigned a value) and false otherwise

  - ### set_uptime_secs_isSet

    public void set_uptime_secs_isSet(boolean value)

  - ### get_requested_memonheap

    public double get_requested_memonheap()

  - ### set_requested_memonheap

    public void set_requested_memonheap(double requested_memonheap)

  - ### unset_requested_memonheap

    public void unset_requested_memonheap()

  - ### is_set_requested_memonheap

    public boolean is_set_requested_memonheap()
    Returns true if field requested_memonheap is set (has been assigned a value) and false otherwise

  - ### set_requested_memonheap_isSet

    public void set_requested_memonheap_isSet(boolean value)

  - ### get_requested_memoffheap

    public double get_requested_memoffheap()

  - ### set_requested_memoffheap

    public void set_requested_memoffheap(double requested_memoffheap)

  - ### unset_requested_memoffheap

    public void unset_requested_memoffheap()

  - ### is_set_requested_memoffheap

    public boolean is_set_requested_memoffheap()
    Returns true if field requested_memoffheap is set (has been assigned a value) and false otherwise

  - ### set_requested_memoffheap_isSet

    public void set_requested_memoffheap_isSet(boolean value)

  - ### get_requested_cpu

    public double get_requested_cpu()

  - ### set_requested_cpu

    public void set_requested_cpu(double requested_cpu)

  - ### unset_requested_cpu

    public void unset_requested_cpu()

  - ### is_set_requested_cpu

    public boolean is_set_requested_cpu()
    Returns true if field requested_cpu is set (has been assigned a value) and false otherwise

  - ### set_requested_cpu_isSet

    public void set_requested_cpu_isSet(boolean value)

  - ### get_assigned_memonheap

    public double get_assigned_memonheap()

  - ### set_assigned_memonheap

    public void set_assigned_memonheap(double assigned_memonheap)

  - ### unset_assigned_memonheap

    public void unset_assigned_memonheap()

  - ### is_set_assigned_memonheap

    public boolean is_set_assigned_memonheap()
    Returns true if field assigned_memonheap is set (has been assigned a value) and false otherwise

  - ### set_assigned_memonheap_isSet

    public void set_assigned_memonheap_isSet(boolean value)

  - ### get_assigned_memoffheap

    public double get_assigned_memoffheap()

  - ### set_assigned_memoffheap

    public void set_assigned_memoffheap(double assigned_memoffheap)

  - ### unset_assigned_memoffheap

    public void unset_assigned_memoffheap()

  - ### is_set_assigned_memoffheap

    public boolean is_set_assigned_memoffheap()
    Returns true if field assigned_memoffheap is set (has been assigned a value) and false otherwise

  - ### set_assigned_memoffheap_isSet

    public void set_assigned_memoffheap_isSet(boolean value)

  - ### get_assigned_cpu

    public double get_assigned_cpu()

  - ### set_assigned_cpu

    public void set_assigned_cpu(double assigned_cpu)

  - ### unset_assigned_cpu

    public void unset_assigned_cpu()

  - ### is_set_assigned_cpu

    public boolean is_set_assigned_cpu()
    Returns true if field assigned_cpu is set (has been assigned a value) and false otherwise

  - ### set_assigned_cpu_isSet

    public void set_assigned_cpu_isSet(boolean value)

  - ### get_owner

    public String get_owner()

  - ### set_owner

    public void set_owner(String owner)

  - ### unset_owner

    public void unset_owner()

  - ### is_set_owner

    public boolean is_set_owner()
    Returns true if field owner is set (has been assigned a value) and false otherwise

  - ### set_owner_isSet

    public void set_owner_isSet(boolean value)

  - ### setFieldValue

    public void setFieldValue(WorkerSummary._Fields field, Object value)
    Specified by:
      `setFieldValue` in interface `org.apache.storm.thrift.TBase<WorkerSummary,WorkerSummary._Fields>`

  - ### getFieldValue

    public Object getFieldValue(WorkerSummary._Fields field)
    Specified by:
      `getFieldValue` in interface `org.apache.storm.thrift.TBase<WorkerSummary,WorkerSummary._Fields>`

  - ### isSet

    public boolean isSet(WorkerSummary._Fields field)
    Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    Specified by:
      `isSet` in interface `org.apache.storm.thrift.TBase<WorkerSummary,WorkerSummary._Fields>`

  - ### equals

    public boolean equals(Object that)
    Overrides:
      `equals` in class `Object`

  - ### equals

    public boolean equals(WorkerSummary that)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### compareTo

    public int compareTo(WorkerSummary other)
    Specified by:
      `compareTo` in interface `Comparable<WorkerSummary>`

  - ### fieldForId

    public WorkerSummary._Fields fieldForId(int fieldId)
    Specified by:
      `fieldForId` in interface `org.apache.storm.thrift.TBase<WorkerSummary,WorkerSummary._Fields>`

  - ### read

    public void read(org.apache.storm.thrift.protocol.TProtocol iprot) throws org.apache.storm.thrift.TException
    Specified by:
      `read` in interface `org.apache.storm.thrift.TSerializable`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### write

    public void write(org.apache.storm.thrift.protocol.TProtocol oprot) throws org.apache.storm.thrift.TException
    Specified by:
      `write` in interface `org.apache.storm.thrift.TSerializable`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### validate

    public void validate() throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`